pcce {plm} | R Documentation

## Common Correlated Effects estimators

### Description

Common Correlated Effects Mean Groups (CCEMG) and Pooled (CCEP) estimators for panel data with common factors (balanced or unbalanced)

### Usage

    pcce(formula, data, subset, na.action,
         model=c("mg", "p"),
         index = NULL, trend = FALSE, ...)
    ## S3 method for class 'pcce'
    summary(object, ...)
    ## S3 method for class 'summary.pcce'
    print(x, digits = max(3, getOption("digits") - 2),
          width = getOption("width"), ...)

### Arguments

`formula` | a symbolic description of the model to be estimated,
`object, x` | an object of class `"pcce"`,
`data` | a `data.frame`,
`subset` | see `lm`,
`na.action` | see `lm`,
`model` | one of `"mg"`, `"p"`, selects Mean Groups vs. Pooled CCE model,
`index` | the indexes, see `pdata.frame`,
`trend` | logical specifying whether an individual-specific trend has to be included,
`digits` | digits,
`width` | the maximum length of the lines in the print output,
`...` | further arguments.

### Details

`pcce` is a function for the estimation of linear panel models by the Common Correlated Effects Mean Groups or Pooled estimator, consistent under the hypothesis of unobserved common factors and idiosyncratic factor loadings. The CCE estimator works by augmenting the model by cross-sectional averages of the dependent variable and regressors in order to account for the common factors, and adding individual intercepts and possibly trends.

### Value

An object of class `c("pcce", "panelmodel")` containing:

`coefficients` | the vector of coefficients,
`residuals` | the vector of (defactored) residuals,
`stdres` | the vector of (raw) residuals,
`tr.model` | the transformed data after projection on H,
`fitted.values` | the vector of fitted values,
`vcov` | the covariance matrix of the coefficients,
`df.residual` | degrees of freedom of the residuals,
`model` | a data.frame containing the variables used for the estimation,
`call` | the call,
`sigma` | always `NULL`, `sigma` is here only for compatibility reasons (to allow using the same `summary` and `print` methods as `pggls`),
`indcoef` | the matrix of individual coefficients from separate time series regressions.

### Author(s)

Giovanni Millo

### References

G. Kapetanios, M. Hashem Pesaran, T. Yamagata (2011), Panels with non-stationary multifactor error structures, Journal of Econometrics, 160(2), pp. 326–348.

### Examples

    data("Produc", package = "plm")
    ccepmod <- pcce(log(gsp) ~ log(pcap) + log(pc) + log(emp) + unemp, data = Produc, model="p")
    summary(ccepmod)

[Package plm version 1.6-6 Index]